# Trénovacie experimenty

Do tohto súboru sa budú postupne zapisovať štatistiky a poznámky ku vykonaným trénovacím experimentom.

V rámci experimentu pracujeme s dvomi databázami:
 - Wikiart - vlastná anotovaná databáza článkov. Každý článok = 1 veta.
 - Skner - anotovaná databáza z https://skner.tukekemt.xyz/ . Počet viet v jednotlivých článkoch sa líši.
### Trénovanie Wikiart
1. Experiment - trénovanie modelu pomocou databázy Wikiart
![1.Wikiart](/img/1wikiart.PNG)

Celkovo 501 článkov. 
351 použitých na trénovanie, 150 na testovanie.
15 iterácii trénovania.
F-skóre natrénovaného modelu: 55,55%

| Entita | Počet anotácii | F-skóre | 
|--|--|--|
|PER|85|41,66%|
|LOC|240|65,51%|
|ORG|30|0,0%|
|MISC|42|44,44%|


### Trénovanie Skner
2. Experiment - trénovanie modelu pomocou databázy skner.
![2.Skner](/img/2skner.PNG)

Celkovo 488 článkov. 
342 použitých na trénovanie, 146 na testovanie.
15 iterácii trénovania.

F-skóre natrénovaného modelu: 60,99%

| Entita | Počet anotácii | F-skóre | 
|--|--|--|
|PER|376|60,07%|
|LOC|885|67,39%|
|ORG|149|42,10%|
|MISC|80|8,69%|